"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/private/var/folders/4_/xyjwmyz1497g3qhhndg003800000gn/T/cirrus-ci-build/build/temp.macosx-11.0-arm64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x103ea9550>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x103ea95e0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x103ea9670>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x103ea9700>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x103ea9790>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x103ea9820>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x103ea98b0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103ea9940>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103ea99d0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103ea9a60>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x103ea9af0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x103ea9b80>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x103ea9c10>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x103ea9ca0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x103ea9d30>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x103ea9dc0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x103ea9e50>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x103ea9ee0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x103ea9f70>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x103eb0040>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x103eb00d0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x103eb0160>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x103eb01f0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x103eb0280>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x103eb03a0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x103eb0310>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x103eb0430>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x103eb04c0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x103eb0550>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x103eb05e0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x103eb0670>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x103eb0700>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x103eb0790>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x103eb0820>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x103eb08b0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x103eb0940>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x103eb09d0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x103eb0a60>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103eb0af0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103eb0b80>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103eb0c10>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x103eb0ca0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x103eb0d30>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x103eb0dc0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x103eb0e50>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x103eb0ee0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x103eb0f70>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x103eb5040>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x103eb50d0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x103eb5160>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x103eb51f0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x103eb5280>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x103eb5310>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x103eb53a0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x103eb5430>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x103eb54c0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x103eb5550>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x103eb55e0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x103eb5670>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x103eb5700>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x103eb5790>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x103eb5820>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x103eb58b0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x103eb5940>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x103eb59d0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x103eb5b80>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x103eb5a60>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x103eb5c10>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x103eb5ca0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x103eb5d30>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x103eb5dc0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x103eb5e50>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x103eb5f70>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x103eb5ee0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x103eb8040>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x103eb80d0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x103eb8160>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x103eb8280>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x103eb81f0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x103eb8310>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x103eb83a0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x103eb8430>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x103eb84c0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x103eb8550>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x103eb85e0>)]
name: str = 'fr_HOCCN'
